> For the complete documentation index, see [llms.txt](https://developers.coincircuit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.coincircuit.io/miscellaneous.md).

# Miscellaneous

Miscellaneous endpoints

## Retrieve supported blockchains and assets

> Returns the full detailed list of supported blockchains and assets.

```json
{"openapi":"3.0.0","info":{"title":"CoinCircuit API","version":"1.0"},"tags":[{"name":"Miscellaneous","description":"Miscellaneous endpoints"}],"servers":[{"url":"https://api.coincircuit.io","description":"Production Server"},{"url":"https://sandbox-api.coincircuit.io","description":"Sandbox Server"}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your API key (obtain from dashboard)"}},"schemas":{"SupportedAssetsResponseDto":{"type":"object","properties":{"success":{"type":"boolean","description":"Indicates if the request was successful"},"message":{"type":"string","description":"Response message"},"data":{"type":"object","description":"Supported assets data"}},"required":["success","message"]}}},"paths":{"/api/v1/blockchain/assets":{"get":{"description":"Returns the full detailed list of supported blockchains and assets.","operationId":"BlockchainController_findSupportedAssetsFull","parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportedAssetsResponseDto"}}}}},"summary":"Retrieve supported blockchains and assets","tags":["Miscellaneous"]}}}}
```

## Retrieve confirmation requirements

> Returns the number of confirmations required for transactions to be considered final on different blockchains.

```json
{"openapi":"3.0.0","info":{"title":"CoinCircuit API","version":"1.0"},"tags":[{"name":"Miscellaneous","description":"Miscellaneous endpoints"}],"servers":[{"url":"https://api.coincircuit.io","description":"Production Server"},{"url":"https://sandbox-api.coincircuit.io","description":"Sandbox Server"}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your API key (obtain from dashboard)"}}},"paths":{"/api/v1/blockchain/confirmations":{"get":{"description":"Returns the number of confirmations required for transactions to be considered final on different blockchains.","operationId":"BlockchainController_getConfirmationRequirements","parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{}}}}},"summary":"Retrieve confirmation requirements","tags":["Miscellaneous"]}}}}
```

## Retrieve gas fees

> Returns gas fees for all supported blockchains. All fee values are returned in the native token/asset value.

```json
{"openapi":"3.0.0","info":{"title":"CoinCircuit API","version":"1.0"},"tags":[{"name":"Miscellaneous","description":"Miscellaneous endpoints"}],"servers":[{"url":"https://api.coincircuit.io","description":"Production Server"},{"url":"https://sandbox-api.coincircuit.io","description":"Sandbox Server"}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your API key (obtain from dashboard)"}}},"paths":{"/api/v1/blockchain/gas-fees":{"get":{"description":"Returns gas fees for all supported blockchains. All fee values are returned in the native token/asset value.","operationId":"BlockchainController_getGasFeesForBlockchain","parameters":[],"responses":{"200":{"description":"","content":{"application/json":{"schema":{}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{}}}}},"summary":"Retrieve gas fees","tags":["Miscellaneous"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.coincircuit.io/miscellaneous.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
